# Fractal Inspector
A Computer Program by Josh 'Dawsh' O'Leary.

<p float="left">
  <img src="screenshots/a.png" width="50%" />
  <img src="screenshots/b.png" width="49%" />
</p>

<p float="left">
  <img src="screenshots/c.png" width="50%" />
  <img src="screenshots/d.png" width="49%" />
</p>

## Introduction

Mathematics is magical. Geometry is psychedelic. C++ is fast. This program generates beautiful fractal images at lightning-speed, and it's built from complete scratch, in C++, by one guy. _Please Hire Me._

## Features
* Supports multiple fractals.*
  * Mandelbrot Set
  * Julia Set (Work in progress)
  * Burning Ship (Work in progress)
  * Sierpinsky Triangle. (Work in progress)
  * And Many More!*
* Infinite Detail (Work in progress)
* Parameter Configuration in real-time.
* Import and export presets to [JSON files](https://git.redacted.cc/josh/jjx).
* Render instantly, and generate large-scale images.
* [Full C++ UI](https://git.redacted.cc/josh/ReJUI). No Electron App here.
* [Cross-platform.](https://git.redacted.cc/Redacted/ReWindow) Built for Linux and Windows.
* [Accelerated Math](https://git.redacted.cc/josh/J3ML), Parallelization, GPU utilization.
* Developed & Maintained by the [genius himself.](https://josh.redacted.cc)
* Made from scratch, in C++, with love, by Redacted Software.

## Technology

## Installation

### Binaries

## FAQ

## Contributing

This project and the supporting projects under it have become quite explosive in scope as we work on our game technology. We'd love some help from the outside world. Teach us some code, find some bugs in our shit. Use the issues page to help out!

## License

This work is explicitly dedicated to the Public Domain.

Contact: josh@redacted.cc
Business Inquiries: business@redacted.cc