/// FractalInspector Application.
/// Developed & maintained by josh@redacted.cc
/// (c) 2025 redacted.cc
/// This work is explicitly dedicated to the Public Domain.

#include <FractalApp.hpp>

// TODO: Parse command-line args.

int main(int argc, char** argv) {
    mcolor::windowsSaneify();
    ReWindow::Logger::Debug.EnableConsole(false);

    int default_app_width = 1440;
    int default_app_height = 900;

    // TODO: Create AppConfig struct and pass to constructor.

    auto* program = new FractalInspectorApp(default_app_width, default_app_height);

    program->Open();
    program->SetFullscreen(false);
    program->SetVsyncEnabled(false);
    program->SetResizable(true);

    while (program->IsAlive())
        program->ManagedRefresh();

    return 0;
}
