#include <misc.hpp>
#include <sstream>
#include <vector>
#include <algorithm>

std::vector<std::string> misc::string_expand(const std::string& input, char delimiter)
{
    std::vector<std::string> result;
    std::stringstream ss (input);
    std::string item;

    while (getline(ss, item, delimiter)) {
        result.push_back(item);
    }
    return result;

}

auto misc::string_matches(const std::string &x, const std::vector<std::string> &v) -> bool {

    return std::find(v.begin(), v.end(), x) != v.end();

}